summaryrefslogtreecommitdiffstats
path: root/source/d/rcs
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2009-08-26 10:00:38 -0500
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:41:17 +0200
commit5a12e7c134274dba706667107d10d231517d3e05 (patch)
tree55718d5acb710fde798d9f38d0bbaf594ed4b296 /source/d/rcs
downloadcurrent-5a12e7c134274dba706667107d10d231517d3e05.tar.gz
current-5a12e7c134274dba706667107d10d231517d3e05.tar.xz
Slackware 13.0slackware-13.0
Wed Aug 26 10:00:38 CDT 2009 Slackware 13.0 x86_64 is released as stable! Thanks to everyone who helped make this release possible -- see the RELEASE_NOTES for the credits. The ISOs are off to the replicator. This time it will be a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. We're taking pre-orders now at store.slackware.com. Please consider picking up a copy to help support the project. Once again, thanks to the entire Slackware community for all the help testing and fixing things and offering suggestions during this development cycle. As always, have fun and enjoy! -P.
Diffstat (limited to 'source/d/rcs')
-rw-r--r--source/d/rcs/rcs-5.7.diff17
-rwxr-xr-xsource/d/rcs/rcs.SlackBuild92
-rw-r--r--source/d/rcs/slack-desc19
3 files changed, 128 insertions, 0 deletions
diff --git a/source/d/rcs/rcs-5.7.diff b/source/d/rcs/rcs-5.7.diff
new file mode 100644
index 000000000..a53b351cd
--- /dev/null
+++ b/source/d/rcs/rcs-5.7.diff
@@ -0,0 +1,17 @@
+--- src/conf.sh.orig Sat Aug 12 20:25:11 1995
++++ src/conf.sh Sat Aug 12 20:25:45 1995
+@@ -77,10 +77,10 @@
+ rm -f a.d &&
+ date >a.d &&
+ chmod 0 a.d &&
+-{ test -w a.d || cp /dev/null a.d 2>/dev/null; } && {
+- echo >&3 "$n$0: This command should not be run with superuser permissions."
+- exit 1
+-}
++#{ test -w a.d || cp /dev/null a.d 2>/dev/null; } && {
++# echo >&3 "$n$0: This command should not be run with superuser permissions."
++# exit 1
++#}
+ echo >&3 OK
+ rm -f a.d || exit
+
diff --git a/source/d/rcs/rcs.SlackBuild b/source/d/rcs/rcs.SlackBuild
new file mode 100755
index 000000000..4ea46e465
--- /dev/null
+++ b/source/d/rcs/rcs.SlackBuild
@@ -0,0 +1,92 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+VERSION=5.7
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-2}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-rcs
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+# Explode the package framework:
+cd $PKG
+explodepkg $CWD/_rcs.tar.gz
+
+echo "+=========+"
+echo "| rcs-$VERSION |"
+echo "+=========+"
+cd $TMP
+rm -rf rcs-$VERSION
+tar xvf $CWD/rcs-$VERSION.tar.gz | exit 1
+cd rcs-$VERSION
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+zcat $CWD/rcs-$VERSION.diff.gz | patch -p0 || exit 1
+
+./configure --prefix=/usr
+
+make CFLAGS="$SLKCFLAGS" LDFLAGS=-s || exit 1
+
+cd src
+cat ci > $PKG/usr/bin/ci
+cat co > $PKG/usr/bin/co
+cat ident > $PKG/usr/bin/ident
+cat merge > $PKG/usr/bin/merge
+cat rcs > $PKG/usr/bin/rcs
+cat rcsclean > $PKG/usr/bin/rcsclean
+cat rcsdiff > $PKG/usr/bin/rcsdiff
+cat rcsmerge > $PKG/usr/bin/rcsmerge
+cat rcstest > $PKG/usr/bin/rcstest
+cat rlog > $PKG/usr/bin/rlog
+
+cd ../man
+for page in ci.1 co.1 ident.1 merge.1 rcs.1 rcsclean.1 rcsdiff.1 rcsfreeze.1 \
+rcsintro.1 rcsmerge.1 rlog.1 ; do
+ cat $page | gzip -9c > $PKG/usr/man/man1/$page.gz
+done
+cat rcsfile.5 | gzip -9c > $PKG/usr/man/man5/rcsfile.5.gz
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/rcs-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source/d/rcs/slack-desc b/source/d/rcs/slack-desc
new file mode 100644
index 000000000..b8d62a08c
--- /dev/null
+++ b/source/d/rcs/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+rcs: rcs (Revision Control System)
+rcs:
+rcs: RCS, the Revision Control System, manages multiple revisions of files.
+rcs:
+rcs: RCS can store, retrieve, log, identify, and merge revisions. It is
+rcs: useful for files that are revised frequently, e.g. programs,
+rcs: documentation, graphics, and papers.
+rcs:
+rcs:
+rcs:
+rcs: